
package net.mcreator.greengle.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.HoeItem;

import net.mcreator.greengle.init.GreengleModTabs;
import net.mcreator.greengle.init.GreengleModItems;

public class GanbaHoeItem extends HoeItem {
	public GanbaHoeItem() {
		super(new Tier() {
			public int getUses() {
				return 125;
			}

			public float getSpeed() {
				return 6f;
			}

			public float getAttackDamageBonus() {
				return 0f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 14;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(GreengleModItems.GANBA_DUST.get()));
			}
		}, 0, -3f, new Item.Properties().tab(GreengleModTabs.TAB_GREENGLE_TOOLS));
	}
}
