
package net.mcreator.greengle.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.greengle.init.GreengleModTabs;
import net.mcreator.greengle.init.GreengleModItems;

public class LankueAxeItem extends AxeItem {
	public LankueAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 660;
			}

			public float getSpeed() {
				return 9f;
			}

			public float getAttackDamageBonus() {
				return 16f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 28;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(GreengleModItems.POWERED_LANKUE.get()));
			}
		}, 1, -3f, new Item.Properties().tab(GreengleModTabs.TAB_GREENGLE_TOOLS));
	}
}
